# Generated from polynomials-0.4.4.gem by gem2rpm -*- rpm-spec -*-
%global gem_name polynomials

Name: rubygem-%{gem_name}
Version: 0.4.4
Release: 1%{?dist}
Summary: parsing and computing data on polynomials
License: MIT
URL: http://github.com/mkorfmann/polynomials
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(jeweler) >= 1.6.0
# BuildRequires: rubygem(jeweler) < 1.7
# BuildRequires: rubygem(simplecov)
BuildArch: noarch

%description
This is a gem dedicated to parsing, manipulating and finding roots,extrema and
inflection points of polynomials.
It can solve polynomial equations with a degree up to 4 by implementing
formulas for solving quadratic, cubic and quartic functions.
.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.travis.yml
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/VERSION
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/.document
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.markdown
%{gem_instdir}/Rakefile
%{gem_instdir}/examples
%{gem_instdir}/polynomials.gemspec
%{gem_instdir}/test

%changelog
* Tue Apr 19 2022 mockbuilder - 0.4.4-1
- Initial package
